<!DOCTYPE html>
<html lang="pt-br">
<head>
    <meta charset="<?php bloginfo('charset'); ?>"/>
    <meta http-equiv="Content-Language" content="pt-br">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=5, minimal-ui">
    <meta name="description" content="<?php bloginfo('description'); ?>"/>
    <?php wp_head(); ?>

</head>
<body>
<?php do_action('after_body_open_tag'); ?>

<!-- init layout-theme -->
<div id="this-top" class="layout-theme animated-css" data-header="sticky" data-header-top="200">

    <!-- Loader -->
    <!--<div id="page-preloader"><span class="spinner"></span></div>-->
    <!-- Loader end -->

    <div id="wrapper">

        <!-- HEADER -->
        <div class="header">
            <div class="top-header">
                <div class="container">


                    <?php if (is_active_sidebar('menu_superior_1')): ?>
                        <div class="row">
                            <div class="col-xs-12">
                                <?php dynamic_sidebar('menu_superior_1'); ?>
                            </div>
                        </div>
                    <?php else: ?>

                        <div class="row">
                            <div class="col-md-8 col-xs-12">
                                <div class="header-contacts">
                                    <?php foreach (alt_get_filiais_matriz() as $contatos): ?>

                                        <div class="row">
                                            <?php if ($contatos['whatsapp']): ?>
                                                <a class="header-contacts__item"
                                                   target="_blank"
                                                   href="<?php echo $contatos['url_whatsapp'] ?>">
                                                <span class="header-contacts__item">
                                                    <i class="fab fa-whatsapp"></i> <?php echo $contatos['whatsapp'] ?></span>
                                                </a>
                                            <?php endif; ?>


                                            <?php if ($contatos['telefone']): ?>
                                                <a class="header-contacts__item"
                                                   target="_blank"
                                                   href="<?php echo $contatos['url_telefone'] ?>">
                                                <span class="header-contacts__item">
                                                   <i class="fas fa-phone-square-alt"></i> <?php echo $contatos['telefone'] ?></span>
                                                </a>
                                            <?php endif; ?>


                                            <?php if ($contatos['email']): ?>
                                                <a class="header-contacts__item"
                                                   target="_blank"
                                                   href="<?php echo $contatos['url_email'] ?>">
                                                <span class="header-contacts__item">
                                                    <i class="far fa-envelope-open"></i> <?php echo $contatos['email'] ?></span>
                                                </a>
                                            <?php endif; ?>
                                        </div>

                                    <?php endforeach; ?>
                                </div>

                            </div>
                            <div class="col-md-4 col-xs-12">
                                <?php if (mostrar_icones_sociais_header()): ?>
                                    <ul class="social-links list-inline">
                                        <?php if (!empty(get_social_links('facebook'))): ?>
                                            <li>
                                                <a class="icon fab fa-facebook" target="_blank"
                                                   href="<?= get_social_links('facebook') ?>">

                                                </a>
                                            </li>
                                        <?php endif; ?>

                                        <?php if (!empty(get_social_links('twitter'))): ?>
                                            <li>
                                                <a class="icon fab fa-twitter" target="_blank"
                                                   href="<?= get_social_links('twitter') ?>">

                                                </a>
                                            </li>
                                        <?php endif; ?>

                                        <?php if (!empty(get_social_links('linkedin'))): ?>
                                            <li>
                                                <a class="icon fab fa-linkedin" target="_blank"
                                                   href="<?= get_social_links('linkedin') ?>">

                                                </a>
                                            </li>
                                        <?php endif; ?>


                                        <?php if (!empty(get_social_links('google'))): ?>
                                            <li>
                                                <a class="icon fab fa-google-plus-square" target="_blank"
                                                   href="<?= get_social_links('google') ?>">

                                                </a>
                                            </li>
                                        <?php endif; ?>

                                        <?php if (!empty(get_social_links('instagram'))): ?>
                                            <li>
                                                <a class="icon fab fa-instagram" target="_blank"
                                                   href="<?= get_social_links('instagram') ?>">

                                                </a>
                                            </li>
                                        <?php endif; ?>


                                        <?php if (!empty(get_social_links('youtube'))): ?>
                                            <li>
                                                <a class="icon fab fa-youtube" target="_blank"
                                                   href="<?= get_social_links('youtube') ?>">

                                                </a>
                                            </li>
                                        <?php endif; ?>

                                    </ul>
                                <?php endif; ?>
                            </div>
                            <!-- end col -->
                        </div>
                        <!-- end row -->
                    <?php endif; ?>


                </div>
                <!-- end container -->
            </div>
            <!-- end top-header -->

            <div class="header__inner">
                <div class="container">


                    <div class="row">
                        <div class="col-md-3 col-xs-6">
                            <a href="/">
                                <img id="logo_cabecalho" class="logo__img img-responsive" src="<?= alt_url_logo() ?>"
                                     alt="Logo">
                            </a>
                        </div>
                        <div class="col-md-9 col-xs-6">
                            <?php if (wp_is_mobile()): ?>


                                <div class="text-right" style="padding-top: 10px;">
                                    <!-- Button trigger modal -->
                                    <button type="button" class="float-right btn btn-menu-mobile" data-toggle="modal"
                                            data-name="Abrir o menu principal"
                                            aria-label="Menu principal"
                                            data-target="#menu_principal">
                                        <i class="fas fa-3x fa-bars"></i>
                                    </button>
                                </div>

                                <!-- Modal -->
                                <div class="modal fade" id="menu_principal" tabindex="-1" role="dialog"
                                     aria-labelledby="menu_principal" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="content_menu">


                                            <div class="modal-body">
                                                <div class="row">
                                                    <div>

                                                        <?php
                                                        wp_nav_menu(
                                                            array(
                                                                'menu_class' => 'nav navbar-nav',
                                                                'theme_location' => 'my_main_menu'
                                                            )
                                                        );
                                                        ?>

                                                    </div>
                                                </div>


                                            </div>

                                            <div class="close_menu_mobile">
                                                <div data-dismiss="modal" style="color: #fffff8;">
                                                    <i class="fas fa-times-circle"></i>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            <?php else: ?>
                                <div class="navbar yamm">

                                    <div id="navbar-collapse-1" class="navbar-collapse collapse">
                                        <div id="nav_bar_mobile">
                                            <?php
                                            wp_nav_menu(
                                                array(
                                                    'menu_class' => 'nav navbar-nav',
                                                    'theme_location' => 'my_main_menu'
                                                )
                                            );
                                            ?>

                                        </div>


                                    </div>
                                    <?php if (is_active_sidebar('menu_superior_2')): ?>
                                        <?php dynamic_sidebar('menu_superior_2'); ?>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <!-- end container -->
            </div>
            <!-- end header__inner -->
        </div>
        <!-- end header -->
