<?php

if (!function_exists('get_logo_principal')) {
    function get_logo_principal()
    {
        $custom_logo_id = get_theme_mod('custom_logo');
        return wp_get_attachment_image($custom_logo_id, 'full', false, ['class' => 'img img-responsive']);
    }
}

if (!function_exists('change_logo_class')) {
    function change_logo_class($html)
    {

        $html = str_replace('custom-logo-link', 'logo', $html);
        $html = str_replace('custom-logo', 'img img-responsive', $html);
        return $html;
    }
}


if(!function_exists('get_lista_cores_array')){
    function get_lista_cores_array(){
        return [
            'red' => 'Vermelha',
            'blue' => 'Azul',
            'yellow' => 'Amarelo',
            'orange' => 'Laranja',
            'green' => 'Verde',
            'altimus' => 'Personalizada',
        ];
    }
}

if (!function_exists('get_breadcrumb')) {
    function get_breadcrumb()
    {
        echo '<a href="' . home_url() . '" rel="nofollow">Home</a>';
        if (is_category() || is_single()) {
            echo "&nbsp;&nbsp;&#187;&nbsp;&nbsp;";
            the_category(' &bull; ');
            if (is_single()) {
                echo " &nbsp;&nbsp;&#187;&nbsp;&nbsp; ";
                the_title();
            }
        } elseif (is_page()) {
            echo "&nbsp;&nbsp;&#187;&nbsp;&nbsp;";
            echo the_title();
        } elseif (is_search()) {
            echo "&nbsp;&nbsp;&#187;&nbsp;&nbsp;Busca resultados para... ";
            echo '"<em>';
            echo the_search_query();
            echo '</em>"';
        }
    }
}
