<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}


class alt_contatos extends WP_Widget
{

    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_contatos',

            // Widget name will appear in UI
            'Altimus - Contatos do cliente',

            // Widget description
            array(
                'description' => 'Exibir contatos do cliente',
            )
        );


    }

    public function widget($args, $instance)
    {

        $layout = $instance['layout'];
        $contato = $instance['contato'];
        $contato = json_decode(base64_decode($contato), true);
        $arrOutrosContatos = $contato['outros_contatos'] ?? [];



        $endereco = $instance['endereco'] == 'on' ? true : false;
        $horario = $instance['horario'] == 'on' ? true : false;
        $telefone_fixo = $instance['telefone_fixo'] == 'on' ? true : false;
        $whatsapp = $instance['whatsapp'] == 'on' ? true : false;
        $email = $instance['email'] == 'on' ? true : false;
        $outros_contatos = $instance['outros_contatos'] == 'on' ? true : false;


        if ($layout == 'header') {
            include('template-header.php');
        }

        if ($layout == 'bloco') {
            include('template-bloco.php');
        }

        if ($layout == 'sidebar') {
            include('template-sidebar.php');
        }


    }

    public function form($instance)
    {
        $title = isset($instance['contato']) ? esc_attr($instance['contato']) : '';
        $layout = isset($instance['layout']) ? esc_attr($instance['layout']) : '';
        $contato = isset($instance['contato']) ? esc_attr($instance['contato']) : '';
        $arrContatos = alt_get_filiais();



        $endereco = isset($instance['endereco']) ? $instance['endereco'] : false;
        $horario = isset($instance['horario']) ? $instance['horario'] : false;
        $telefone_fixo = isset($instance['telefone_fixo']) ? $instance['telefone_fixo'] : false;
        $whatsapp = isset($instance['whatsapp']) ? $instance['whatsapp'] : false;
        $email = isset($instance['email']) ? $instance['email'] : false;
        $horario = isset($instance['horario']) ? $instance['horario'] : false;
        $outros_contatos = isset($instance['outros_contatos']) ? $instance['outros_contatos'] : false;


        ?>


        <p>
            <label for="<?php echo $this->get_field_id('layout'); ?>">Layout</label>
            <select class="widefat"
                    id="<?php echo $this->get_field_id('layout'); ?>"
                    name="<?php echo $this->get_field_name('layout'); ?>"
            >
                <option value="bloco" <?= ($layout == 'bloco') ? 'selected' : ''; ?>>
                    Bloco
                </option>
                <option value="header" <?= ($layout == 'header') ? 'selected' : ''; ?>>
                    Header
                </option>
                <option value="sidebar" <?= ($layout == 'sidebar') ? 'selected' : ''; ?>>
                    Sidebar
                </option>
            </select>
        </p>


        <p>
            <label for="<?php echo $this->get_field_id('contato'); ?>">Contato</label>
            <select class="widefat"
                    id="<?php echo $this->get_field_id('contato'); ?>"
                    name="<?php echo $this->get_field_name('contato'); ?>"
            >
                <?php foreach ($arrContatos as $data): ?>
                    <option value="<?= base64_encode(json_encode($data)); ?>" <?= (base64_encode(json_encode($data)) == $contato) ? 'selected' : ''; ?>>
                        <?= $data['nome'] ?>
                    </option>
                <?php endforeach; ?>
            </select>
        </p>

        <hr/>
        <p>Campos a serem exibidos:</p>
        <p>
            <input class="widefat"
                   id="<?php echo $this->get_field_id('email'); ?>"
                   name="<?php echo $this->get_field_name('email'); ?>"
                   value="on"
                   type="checkbox"
                <?= ($email == true) ? 'checked' : '' ?>/>
            <label for="<?php echo $this->get_field_id('email'); ?>">Email</label>
        </p>
        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('telefone_fixo'); ?>"
                   name="<?php echo $this->get_field_name('telefone_fixo'); ?>" value="on" type="checkbox"
                <?= ($telefone_fixo == true) ? 'checked' : '' ?>/>
            <label for="<?php echo $this->get_field_id('telefone_fixo'); ?>">Telefone fixo</label>
        </p>
        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('whatsapp'); ?>"
                   name="<?php echo $this->get_field_name('whatsapp'); ?>" value="on" type="checkbox"
                <?= ($whatsapp == true) ? 'checked' : '' ?>/>
            <label for="<?php echo $this->get_field_id('whatsapp'); ?>">WhatsApp</label>
        </p>
        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('endereco'); ?>"
                   name="<?php echo $this->get_field_name('endereco'); ?>" value="on" type="checkbox"
                <?= ($endereco == true) ? 'checked' : '' ?>/>
            <label for="<?php echo $this->get_field_id('endereco'); ?>">Endereço</label>
        </p>

        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('outros_contatos'); ?>"
                   name="<?php echo $this->get_field_name('outros_contatos'); ?>" value="on" type="checkbox"
                <?= ($outros_contatos == true) ? 'checked' : '' ?>/>
            <label for="<?php echo $this->get_field_id('outros_contatos'); ?>">Outros contatos</label>
        </p>


        <p>
            <input class="widefat" id="<?php echo $this->get_field_id('horario'); ?>"
                   name="<?php echo $this->get_field_name('horario'); ?>" value="on" type="checkbox"
                <?= ($horario == true) ? 'checked' : '' ?>/>
            <label for="<?php echo $this->get_field_id('horario'); ?>">Horário</label>
        </p>


        <?php
    }

    public function update($new_instance, $old_instance)
    {

        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['layout'] = strip_tags($new_instance['layout']);
        $instance['contato'] = $new_instance['contato'];


        $instance['endereco'] = $new_instance['endereco'];
        $instance['horario'] = $new_instance['horario'];
        $instance['telefone_fixo'] = $new_instance['telefone_fixo'];
        $instance['whatsapp'] = $new_instance['whatsapp'];
        $instance['email'] = $new_instance['email'];
        $instance['outros_contatos'] = $new_instance['outros_contatos'];

        return $instance;

    }

    private function formatarContatos()
    {
        $arrContatos = alt_get_contato_clientes();

        $icon_email = "far fa-envelope";
        $icon_whatsapp = "fab fa-whatsapp";
        $icon_telefone = "fas fa-phone";
        $icon_endereco = "fas fa-warehouse";


        foreach ($arrContatos as $contato) {

            $arrRetorno['numero'] = $contato['numero'];
            $arrRetorno['ico_numero'] = $contato['whatsapp'] == 'sim' ? $icon_whatsapp : $icon_telefone;


            $arrRetorno['endereco'] = $contato['endereco'];
            $arrRetorno['ico_endereco'] = $icon_endereco;


            $arrRetorno['nome'] = $contato['titulo'];


            $arrRetorno['email'] = $contato['email'];
            $arrRetorno['ico_email'] = $icon_email;
            $arrRetorno['link'] = $this->gerarLink($contato);


        }
    }


    private function gerarLink($contato)
    {


    }
}
