<?php

class alt_formulario_contato extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_formulario_contato',

            // Widget name will appear in UI
            __('Altimus - Formulários de contato', 'alt_formulario_contato'),

            // Widget description
            array(
                'description' => __('Formulário de contato', 'Filiais'),
            )
        );


    }

    public function widget($args, $instance)
    {
        $titulo = $instance['title'] ?? 'Fale conosco';
        $formulario_id = isset($instance['formulario_id']) ? esc_attr($instance['formulario_id']) : '';

        ?>
        <aside class="sidebar">
            <section class="widget">
                <h3 class="widget-title"><?= $titulo ?></h3>
                <div class="decor-1">
                </div>
                <div class="widget-content">
                    <?= do_shortcode('[contact-form-7 id="' . $formulario_id . '"]'); ?>
                </div>
            </section>
        </aside>


        <?php

    }

    public function form($instance)
    {
        $title = isset($instance['title']) ? esc_attr($instance['title']) : '';
        $formulario_id = isset($instance['formulario_id']) ? esc_attr($instance['formulario_id']) : '';
        $arrFormularios = $this->buscarFormularios();

        ?>

        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>">
                <?php _e('Title:'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>"
                   name="<?php echo $this->get_field_name('title'); ?>"
                   value="<?php echo esc_attr($title); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('formulario_id'); ?>">
                Selecione o formulário
            </label>

            <select id="<?php echo $this->get_field_id('formulario_id'); ?>"
                    name="<?php echo $this->get_field_name('formulario_id'); ?>"
                    class="widefat"
            >

                <?php foreach ($arrFormularios as $id => $formulario): ?>

                    <option value="<?= $id; ?>" <?php echo ($formulario_id == $id) ? 'selected' : ''; ?>>
                        <?= $formulario; ?>
                    </option>

                <?php endforeach; ?>
            </select>

        </p>

        <?php

    }


    public function buscarFormularios($form_id = null)
    {


        $args = array(
            'post_type' => 'wpcf7_contact_form',
            'post_status' => 'publish'
        );


        $query = new WP_Query($args);
        if ($query->have_posts()) {
            while ($query->have_posts()) {
                $query->the_post();
                $arrDados[get_the_ID()] = get_the_title();
            }

        }

        return $arrDados;
    }


    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['title'] = strip_tags($new_instance['title']);
        $instance['formulario_id'] = strip_tags($new_instance['formulario_id']);

        return $instance;

    }
}
