<?php

class alt_veiculos_semelhantes extends WP_Widget
{
    function __construct()
    {
        parent::__construct(

        // Base ID of your widget
            'alt_veiculos_semelhantes',

            // Widget name will appear in UI
            __('Altimus - Veículos semelhantes', 'alt_veiculos_semelhantes'),

            // Widget description
            array(
                'description' => 'Whatsapp',
            )
        );


    }


    public function widget($args, $instance)
    {
        $titulo = $instance['titulo'] ?? '';
        $mensagem = $instance['mensagem'] ?? '';
        $limite = $instance['limite'] ?? 5;
        ?>

        <aside class="sidebar">
            <section class="widget">
                <h3 class="widget-title"><?= $titulo ?></h3>
                <div class="decor-1">
                </div>
                <div class="widget-content">
                    <?= $mensagem ?>
                    <?php $this->buscar_veiculos_semelhantes_widget($limite); ?>
                </div>
            </section>
        </aside>


        <?php

    }


    public function form($instance)
    {
        $titulo = isset($instance['titulo']) ? esc_attr($instance['titulo']) : '';
        $mensagem = isset($instance['mensagem']) ? esc_attr($instance['mensagem']) : '';
        $limite = isset($instance['limite']) ? esc_attr($instance['limite']) : 5;

        ?>

        <p>
            <label for="<?php echo $this->get_field_id('titulo'); ?>">
                <?php _e('Titulo'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('titulo'); ?>"
                   name="<?php echo $this->get_field_name('titulo'); ?>"
                   value="<?php echo esc_attr($titulo); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('mensagem'); ?>">
                <?php _e('Mensagem'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('mensagem'); ?>"
                   name="<?php echo $this->get_field_name('mensagem'); ?>"
                   value="<?php echo esc_attr($mensagem); ?>"
                   type="text"
            />
        </p>

        <p>
            <label for="<?php echo $this->get_field_id('limite'); ?>">
                <?php _e('Limite de veículos'); ?>
            </label>
            <input class="widefat" id="<?php echo $this->get_field_id('limite'); ?>"
                   name="<?php echo $this->get_field_name('limite'); ?>"
                   value="<?php echo esc_attr($limite); ?>"
                   type="text"
            />
        </p>


        <?php

    }

    public function update($new_instance, $old_instance)
    {
        $instance = $old_instance;
        $instance['titulo'] = strip_tags($new_instance['titulo']);
        $instance['mensagem'] = strip_tags($new_instance['mensagem']);
        $instance['limite'] = strip_tags($new_instance['limite']);

        return $instance;

    }

    private function buscar_veiculos_semelhantes_widget($limit = 5)
    {

        global $post;

        if ($post->post_type == 'veiculos') {
            $arrVeiculos = get_veiculos_similares($post, $limit);
        } else {
            $arrVeiculos = get_veiculos_mais_recentes($limit);
        };



        ?>

        <style>
            .widget_semelhantes_item a:hover {
                text-decoration: none;
            }
        </style>

        <?php foreach ($arrVeiculos as $veiculo) {
            include 'template.php';
        }


        echo '<div class="widget_btn_estoque"><a href="' . alt_get_url_estoque(). '"> Confira nosso estoque completo</a></div>';

    }


}
